package com.all.bukkit.threadcheck;

import org.bukkit.event.Event;
import org.bukkit.event.world.*;

public class WorldListener extends org.bukkit.event.world.WorldListener {
	
	public void onChunkLoad(ChunkLoadEvent event) {
		ThreadCheck.check(Event.Type.CHUNK_LOAD);
	}
	public void onChunkUnload(ChunkUnloadEvent event) {
		ThreadCheck.check(Event.Type.CHUNK_UNLOAD);
	}
	public void onWorldLoad(WorldLoadEvent event) {
		ThreadCheck.check(Event.Type.WORLD_LOAD);
	}
	public void onChunkPopulate(ChunkPopulateEvent event) {
		ThreadCheck.check(Event.Type.CHUNK_POPULATED);
	}
	public void onWorldUnload(WorldUnloadEvent event) {
		ThreadCheck.check(Event.Type.WORLD_UNLOAD);
	}
	public void onWorldInit(WorldInitEvent event) {
		ThreadCheck.check(Event.Type.WORLD_INIT);
	}
	public void onWorldSave(WorldSaveEvent event) {
		ThreadCheck.check(Event.Type.WORLD_SAVE);
	}
	public void onSpawnChange(SpawnChangeEvent event) {
		ThreadCheck.check(Event.Type.SPAWN_CHANGE);
	}
	
}
